Bug 93052 - update fasta3 to latest version
Summary: update fasta3 to latest version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-08 19:10 UTC by Fernan Aguero
Modified: 2006-02-10 09:37 UTC (History)
0 users

See Also:


Attachments
fasta3.diff (13.46 KB, patch)
2006-02-08 19:10 UTC, Fernan Aguero
no flags Details | Diff
fasta3.diff (13.56 KB, patch)
2006-02-09 16:25 UTC, Fernan Aguero
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernan Aguero 2006-02-08 19:10:07 UTC
	
	
	i.   replace FASTA3DOCS variable for built-in DOCSDIR
	ii.  use built-in PKGMESSAGE and SUB_FILES
	ii.  install scoring matrices and example files (sequences)
	     These were always included in the FASTA3 distribution but the port
	     never installed them
	iii. remove unecessary patches
	iv.  make INSTALL_* visible
Comment 1 Sam Lawrance freebsd_committer 2006-02-09 02:26:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Nab this PR
Comment 2 Sam Lawrance freebsd_committer 2006-02-09 10:34:56 UTC
State Changed
From-To: open->feedback

One of the patches hardcodes -lpthread, causing the build to fail 
on 4.x.  Can you please update it to use ${PTHREAD_LIB}?
Comment 3 Fernan Aguero 2006-02-09 16:25:01 UTC
+----[ Sam Lawrance <lawrance@FreeBSD.org> (09.Feb.2006 07:43):
|
| Synopsis: update fasta3 to latest version
| 
| State-Changed-From-To: open->feedback
| State-Changed-By: lawrance
| State-Changed-When: Thu Feb 9 10:34:56 UTC 2006
| State-Changed-Why: 
| One of the patches hardcodes -lpthread, causing the build to fail
| on 4.x.  Can you please update it to use ${PTHREAD_LIB}?
| 
| http://www.freebsd.org/cgi/query-pr.cgi?pr=93052
|
+----]

Done,

now the patched Makefile (the one from the upstream source)
does not define THR_LIBS.

THR_LIBS is now defined in the port's Makefile and included
in MAKE_ENV.

Builds fine for me in FreeBSD-6.0 and -4.11. Updated patch
is attached,

Fernan
Comment 4 Sam Lawrance freebsd_committer 2006-02-10 09:37:39 UTC
State Changed
From-To: feedback->closed

Committed, thanks! And thanks for the speedy feedback :-)